using IOB_UT_NEXT;
using IOB_WIN_OSAI.Iob;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IOB_WIN_OSAI
{
    public class AdapterFormNext: IOB_WIN_FORM.AdapterForm
    {

        /// <summary>
        /// Avvio MainForm
        /// </summary>
        /// <param name="codIOB"></param>
        public AdapterFormNext(string codIOB): base(codIOB)
        {
        }
        /// <summary>
        /// carica IOB richiesto
        /// </summary>
        protected override async Task loadIobType()
        {
            if (IOBConfFull != null)
            {
                switch (tipoScelto)
                {
                    case tipoAdapter.OSAI_OPEN:
                    case tipoAdapter.OSAI_CNDEX:
                    case tipoAdapter.OSAI_VB6:
                        // versione EgwProxy.OsaiCncLib
                        iobObj = new Iob.OSAI(this, IOBConfFull);
                        btnStart.Enabled = true;
                        break;

                    case tipoAdapter.SIMULA:
                    case tipoAdapter.ND:
                    default:
                        iobObj = new IOB_WIN_FORM.Iob.Simula(this, IOBConfFull);
                        btnStart.Enabled = false;
                        break;
                }
                if (!await iobInitAsync())
                {
                    return;
                }
                UpdateDisplTypeIobSel();
            }
        }
    }
}
